<?php
namespace Ep\Currency\Adapter;

use GuzzleHttp\ClientInterface;

/**
 * Osnovna klasa za CurrencyAdaptere.
 *
 * @package Ep\Currency\Adapter
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
abstract class AbstractAdapter implements AdapterInterface
{
    /** @var ClientInterface */
    protected $http;
    /** @var array */
    protected $options;

    /**
     * AbstractAdapter constructor.
     *
     * @param ClientInterface $http
     * @param array $options
     */
    public function __construct(ClientInterface $http, array $options = [])
    {
        $this->http    = $http;
        $this->options = $options;
    }
}