<?php
namespace EpTest\Form\View\Helper;

use Ep\Form\View\Helper\FormElement;
use EpTest\ContainerAwareTrait;
use PHPUnit\Framework\TestCase;
use Zend\ServiceManager\PluginManagerInterface;
use Zend\View\HelperPluginManager;

class FormElementTest extends TestCase
{
    use ContainerAwareTrait;

    /**
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function testHelperIsRegistered()
    {
        $container = $this->createContainer();
        /** @var PluginManagerInterface $helpers */
        $helpers = $container->get(HelperPluginManager::class);

        $this->assertTrue($helpers->has('form_element'));
        $this->assertInstanceOf(FormElement::class, $helpers->get('form_element'));
    }
}